| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | List of all members
Digikam::DItemsListViewItem Class Reference
Inheritance diagram for Digikam::DItemsListViewItem:

## Public Types
enum | State { Waiting , Success , Failed }

## Public Member Functions
| DItemsListViewItem (DItemsListView *const view, const QUrl &url)
QString | comments () const
bool | hasValidThumbnail () const
int | rating () const
void | setComments (const QString &comments)
void | setIsLessThanHandler (DItemsListIsLessThanHandler fncptr)
void | setProcessedIcon (const QIcon &icon)
void | setProgressAnimation (const QPixmap &pix)
void | setRating (int rating)
void | setState (State state)
void | setTags (const QStringList &tags)
void | setThumb (const QPixmap &pix, bool hasThumb=true)
void | setUrl (const QUrl &url)
State | state () const
QStringList | tags () const
void | updateInformation ()
virtual void | updateItemWidgets ()
| Implement this, if you have special item widgets, e.g.
QUrl | url () const

## Protected Member Functions
DItemsListView * | view () const

## Member Function Documentation

## ◆ updateItemWidgets()

virtual void Digikam::DItemsListViewItem::updateItemWidgets | ( |  | ) |
| inline virtual

an edit line they will be set automatically when adding items, changing order, etc.